import Vue from 'vue';
import Vuex from 'vuex';

/** Carregar Modulos */
import ScreenService from './ScreenService';

Vue.use(Vuex);

export default new Vuex.Store({
	state: {
		routerParams: {},
    },
	mutations: {
        setAppLoginToken: () => {},
        setAppLoginHash: () => {},
        setAppDisplayOptions: () => {},
		setRouterParams: () => {},
    },
    actions: {},
    getters: {
		routerParams: (state) => state.routerParams,
	},
	modules: {
        ScreenService,
    },
});
